API for creating analyses from PDF bank statements using document extraction technology.

Server
https://api.algoan.com
Server Variables

Each requests must be set with an Authorization header using a Bearer JSON Web Token after authenticating with your client credentials.

Authentication

Algoan provides JSON Web Tokens based on the OAuth2 protocol to authenticate your organization. When you create a new project, you will need to use the service account shared by Algoan containing a client_id and a client_secret.

NOTE: this is the only API where request's parameters are formatted as snake case.

Create a new access token

Generates a new access token to use Algoan's APIs

Auth
Request Body

OAuth2 request body with two grant types - client_credentials and refresh_token

objectobject

Auth request body to generate a new access token

client_idstring

Your client ID

client_secretuuid

Your client secret

grant_typestring

Specify the type of grant access

Enum: client_credentials

POST /v1/oauth/token
Copy
Responses
201

Access Token instance

objectobject
access_tokenstring

The access token required for each API.

expires_innumber

Number of seconds until the access token expires

refresh_expires_innumber

Number of seconds until the refresh token expires

refresh_tokenstring

Refresh token used to generate a new access token

token_typestring

Type of access token (will always be set to bearer)

Response
Copy

Customer

represents a user able to connect/aggregate their bank accounts. It is unique per organization, project and custom identifier.

Create a customer

Creates a new customer instance

Auth
Request Body

New customer to create

objectobject

Information about a customer and its journey through Algoan.

customIdentifierstring

A custom identifier that will be attached to your customer. This can be used to identify a customer based on your internal reference.

aggregationDetailsobject

Information about the AIS provider used for this report

callbackUrlstring

Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode.

tokenstring

Temporary access token set for Algoan's UI to communicate with the aggregator's API

redirectUrlstring

Redirect URL used for the end-user. Specific to REDIRECT mode

apiUrlstring

URL used to call API using API mode

iframeUrlstring

Iframe URL used for the end-user. Specific to IFRAME mode

userIdstring

Aggregator user identifier

If the value is reset, it means the user access has been revoked.

clientIdstring

Aggregator client ID used to authenticate a user with your organization

personalDetailsobject

Personal information about the customer

nationalitystring

Nationality (ISO alpha-2)

firstNamestring

First name

lastNamestring

Last name

birthNamestring

Birth name

birthDatedate

Birth date

birthCitystring

birth city

birthZipCodestring

Birth Zip Code

birthCountrystring

Birth country

documentNumberstring

ID number from official documents such as passport, national id number, etc.

contactobject

Contact information about a customer

emailstring

Electronic mail address

phoneNumberstring

Customer's phone number

streetstring
additionalInformationstring

Additional information about the mailing address

citystring

City's mailing address of the customer

zipCodestring

Mailing address zip code of the customer

countrystring

Mailing address country of the customer

householdobject

Household information about a customer

maritalStatusstring

The marital status of the customer

Enum: COHABITING,DIVORCED,MARRIED,SEPARATED,SINGLE,WIDOWED,CIVIL_PARTNERSHIP

numberOfDependentChildrennumber

The number of children the customer looks after

numberOfOtherDependentsnumber

The number of other people the customer is in charge of

POST /v2/customers
Copy
Responses
201

New customer created

objectobject

Information about a customer and its journey through Algoan.

idstring

Algoan unique identifier

customIdentifierstring

A custom identifier that will be attached to your customer. This can be used to identify a customer based on your internal reference.

aggregationDetailsobject

Information about the AIS provider used for this report

aggregatorNamestring

Name of the aggregator company

Enum: BUDGET_INSIGHT,BRIDGE,TINK,OTHER

callbackUrlstring

Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode.

tokenstring

Temporary access token set for Algoan's UI to communicate with the aggregator's API

modestring

Mode used for the customer journey:

  • REDIRECT: uses the redirection mode. The UI is managed by the aggregator in a dedicated page.
  • API: uses the aggregator's API. The UI is managed by Algoan.
  • IFRAME: uses the iframe mode. The UI is managed by the aggregator in an iframe element.

Enum: REDIRECT,API,IFRAME

redirectUrlstring

Redirect URL used for the end-user. Specific to REDIRECT mode

apiUrlstring

URL used to call API using API mode

iframeUrlstring

Iframe URL used for the end-user. Specific to IFRAME mode

userIdstring

Aggregator user identifier

If the value is reset, it means the user access has been revoked.

clientIdstring

Aggregator client ID used to authenticate a user with your organization

personalDetailsobject

Personal information about the customer

nationalitystring

Nationality (ISO alpha-2)

firstNamestring

First name

lastNamestring

Last name

birthNamestring

Birth name

birthDatedate

Birth date

birthCitystring

birth city

birthZipCodestring

Birth Zip Code

birthCountrystring

Birth country

documentNumberstring

ID number from official documents such as passport, national id number, etc.

contactobject

Contact information about a customer

emailstring

Electronic mail address

phoneNumberstring

Customer's phone number

streetstring
additionalInformationstring

Additional information about the mailing address

citystring

City's mailing address of the customer

zipCodestring

Mailing address zip code of the customer

countrystring

Mailing address country of the customer

householdobject

Household information about a customer

maritalStatusstring

The marital status of the customer

Enum: COHABITING,DIVORCED,MARRIED,SEPARATED,SINGLE,WIDOWED,CIVIL_PARTNERSHIP

numberOfDependentChildrennumber

The number of children the customer looks after

numberOfOtherDependentsnumber

The number of other people the customer is in charge of

reportsobject

Reports about the customer

completedAnalysesobject

Information about analyses related to the customer

countnumber

Number of analysis with COMPLETED status

datedate-time

Last completed analysis date

urlstring

URL of the last analysis

lastFailedAnalysisobject

Information about the last failed analysis of the customer

datedate-time

Last failed analysis date

urlstring

URL of the last failed analysis

typestring

Type of the last failed analysis

Enum: INTERNAL_ERROR,NOT_ENOUGH_TRANSACTIONS,CURRENCY_NOT_SUPPORTED,USAGE_NOT_SUPPORTED,NO_CHECKING_ACCOUNT,ACCOUNT_TYPE_NOT_SUPPORTED,OWNERSHIP_NOT_SUPPORTED,LOW_ACTIVITY_SCORE,ZERO_INCOME

userJourneyStatestring

The customer most advanced state in the user journey.

States:

  • CUSTOMER_CREATED: The customer has been created.
  • CREATED: A bank connection process has been created for the customer.
  • INVITATION_SENT: The customer has been invited to connect their bank via Algoan's Dashboard.
  • STARTED: The customer has started the bank connection process.
  • BANK_SELECTED: The customer has selected their bank in the bank connection process.
  • QR_CODE_SCANNED: The customer has scanned the QR code in the bank connection process, which allows them to continue the process on their mobile.
  • AGGREGATION_STARTED: The customer has been redirected to his bank's website and the aggregation process has started.
  • AGGREGATION_FINISHED_ERROR: The aggregation process has finished with an error.
  • AGGREGATION_FINISHED_SUCCESS: The aggregation process has finished successfully.
  • FINISHED_ERROR: The bank connection process has finished with an error.
  • FINISHED_SUCCESS: The bank connection process has finished successfully.
  • ANALYSIS_ERROR: The analysis run on the customer's data has finished with an error.
  • ANALYSIS_SUCCESS: The analysis run on the customer's data has finished successfully.

Enum: CUSTOMER_CREATED,CREATED,INVITATION_SENT,STARTED,BANK_SELECTED,QR_CODE_SCANNED,AGGREGATION_STARTED,AGGREGATION_FINISHED_ERROR,AGGREGATION_FINISHED_SUCCESS,FINISHED_ERROR,FINISHED_SUCCESS,ANALYSIS_ERROR,ANALYSIS_SUCCESS

openBankingInformationobject

Information about the customer retrieved from the Open Banking process

ownersarray[object]

Owners of the accounts

Same names are merged.

namestring

Name of the owner

createdAtdate-time

Customer date of creation

updatedAtdate-time

Latest update of the customer

400

Bad request

401

Unauthorized, please make sure you are properly authenticated

403

Forbidden, please make sure you are allowed to use this route

422

Unprocessable Entity

Response
Copy

Analysis

An analysis is a snapshot of a customer's financial situation based on the connected bank accounts. It contains results from both products Score and Credit Insights.

NOTE: To get Credit Insights results or a Score, the analysis need to contain at least one CHECKING Account with a minimum of 20 transactions.

Create analysis from PDF bank statements

Triggers an analysis creation by extracting transaction and account data from PDF bank statements. This endpoint accepts one or more PDF files containing bank statements, extracts the financial data using document extraction technology, and automatically creates an analysis for the specified customer.

How it works

  1. Upload one or more PDF bank statements as base64-encoded files
  2. The system extracts accounts and transactions from the PDFs
  3. An analysis is automatically created with the extracted data
  4. The analysis processes the data to generate Score and Credit Insights results

Requirements

  • Files must be valid PDF documents containing bank statements
  • Each file must be base64-encoded
  • The customer must exist before calling this endpoint

Response

The endpoint returns immediately with a 202 Accepted status and the analysisId. The extraction and analysis computation happen asynchronously. You can poll the analysis status or use webhooks to be notified when the analysis is completed.

Auth
Request Body

Array of PDF bank statement files to extract and analyze

objectobject
filesarray[object]
fileNamestring

Name of the PDF bank statement file

base64Filestring

Base64-encoded PDF file content

POST /v2/customers/{id}/bank-statements
Copy
Responses
200

Analysis created and extraction in progress

objectobject
analysisIdstring

Unique identifier of the created analysis

400

Bad request - Invalid file format or missing required fields

401

Unauthorized, please make sure you are properly authenticated

403

Forbidden, please make sure you are allowed to use this route

404

Customer not found

Response
Copy

Get an analysis

Get a unique analysis

Auth
GET /v2/customers/{id}/analyses/{analysisId}
Copy
Responses
200

Analysis instance

objectobject

An analysis launched with open banking data

idstring

Unique analysis identifier

formatstring

Original format of the open banking data (default to ALGOAN). BUDGET_INSIGHT_V2 refers to the second version of Budget Insight API.

Enum: ALGOAN,BUDGET_INSIGHT_V2_0,LINXO_CONNECT_DIRECT_ACCOUNT_API_V3,LINXO_CONNECT_ACCOUNT_API_V2,TINK_V2,MASTERCARD_OPEN_BANKING,MASTERCARD_OPEN_BANKING_ENTERPRISE_V2,HYBRID

Default: ALGOAN

parametersobject

Optional parameters related to the analysis.

If disableScores and disableCreditInsights are both set to true, the analysis will be have to be triggered manually later by calling POST /analyses/{analysisId}/trigger with { disableScores: false, disableCreditInsights: false }.

disableScoresboolean

Set to true if you only want to launch a Credit Insights analysis

Default: false

disableCreditInsightsboolean

Set to true if you only want to launch the Score

Default: false

useBalanceDateboolean

Set to true if you want to use the most recent account balance date as a reference date for the analysis instead of using the current date

Default: false

periodobject

Parameters used to compute the analyzed period.

modestring

Analysis configuration mode:

  • DAYS: Analysis is computed using the transactions of the m past days.
  • MONTHS: Analysis is computed using the transactions of the n last rolling months.
  • MONTHS_TRUNCATED: Analysis is computed using the transactions of the n last calendar months.
  • MONTHS_AND_CURRENT: Analysis is computed using the transactions of the n last calendar months and the current month.

m and n refer respectively to the value of numberOfDays and numberOfMonths.

Enum: DAYS,MONTHS,MONTHS_TRUNCATED,MONTHS_AND_CURRENT

numberOfDaysnumber

Number of analyzed days.

numberOfMonthsnumber

Number of analyzed months.

includeCheckingAccountsOnTruncateWindowboolean

Used if mode is MONTHS_TRUNCATED. If true only the transactions of checking accounts are used to compute analysis window dates.

isComputedUsingProjectConfigboolean

Whether the analyzed period has been computed using the project's configurations or the values in period

launchReportboolean

Set to true if you want to automatically launch a report creation after the analysis is completed. You will be notified on your webhook when the report status is COMPLETED (or ERROR).

Default: false

statusstring

State of the analysis:

  • CREATED: you've just created the analysis. Algoan is waiting for accounts and transactions to be uploaded
  • FETCHING_DATA: accounts and transactions are being fetched by an asynchronous process (e.g. bank_details_required resthook event), you can force the emission of this event by calling the POST /analyses endpoint without accounts and transactions.
  • IN_PROGRESS: as soon as banking details are uploaded, the analysis is in "IN_PROGRESS" state. If you try to request Credit Insights or Score, the API will return a 202 HTTP status code.
  • COMPLETED: means that the analysis process is finished. Conditions:
    • If Credit Insights is disabled, the analysis is complete as soon as scores and metadata are defined
    • If Score is disabled, the analysis is complete as soon as creditInsights and metadata are defined
    • If you've launched both Score and Credit Insights, the analysis is completed as soon as all fields are defined
  • ERROR: the analysis is in an error state if Score or Credit Insights cannot be calculated. Therefore, an error property will be defined, giving you the reason for failure.

Enum: CREATED,FETCHING_DATA,ERROR,IN_PROGRESS,COMPLETED

sourcestring

Describes the origin of the analysis' launch:

  • INTERNAL: relaunched by Algoan if an internal error occurred (will not be billed)
  • CLIENT: created and launched by a client
  • CASH_FLOW_UPDATE: created and launched after a client cashflow update
  • ACCOUNT_SELECTION_UPDATE: created and launched after a client updated the list of selected accounts
  • REFRESH: created and launched after a client requested a refresh of the analysis
  • REFRESH_WITH_NEW_ACCOUNTS: created and launched after a client requested a refresh of the analysis with new accounts

Enum: INTERNAL,CLIENT,CASH_FLOW_UPDATE,ACCOUNT_SELECTION_UPDATE,REFRESH,REFRESH_WITH_NEW_ACCOUNTS

dataOriginstring

Describes the origin of the analysis' data:

  • OPEN_BANKING: Data fetched from an aggregator.
  • PDF: Data fetched from a PDF file
  • UNKNOWN: Default value

Enum: OPEN_BANKING,PDF,UNKNOWN

createdAtdate-time

Analysis date of creation

updatedAtdate-time

Latest update of the analysis

metadataobject

Indicators about the Open Banking data used to execute the Analysis. Deprecated properties correspond to Credit Insights indicators.

referenceDatedate-time

Reference date of the analysis

numberOfCheckingsnumber

Number of checking accounts

numberOfSavingsnumber

Number of saving accounts

numberOfLoansnumber

Number of loan accounts

numberOfCreditCardnumber

Number of credit card accounts

creditInsightsobject

Indicators about the Open Banking data used to compute the Credit Insights product

lastTransactionGapnumber

Number of days between the call to the product calculation and the last transaction

historicalDepthnumber

Number of days between the first and last transaction on the union of CHECKING and CREDIT_CARD accounts

monthlyTransactionCountnumber

Monthly mean number of transactions

firstTransactionDatedate-time

Date of the oldest transaction

calendararray[object]
monthstring

calendar month of the history

nbDaysnumber

Number of days of the month covered in the banking history. Allows to know which months are truncated.

totalTransactionCountnumber

Total number of analysed transactions

minWindowDatedate

Date of the oldest transaction used to compute the product

maxWindowDatedate

Date of the most recent transaction used to compute the product

numberOfDaysInWindownumber

Number of days of the window of transactions used to compute the product

creditScoreobject

Indicators about the Open Banking data used to compute the Credit Score product

lastTransactionGapnumber

Number of days between the call to the product calculation and the last transaction

historicalDepthnumber

Number of days between the first and last transaction on the union of CHECKING and CREDIT_CARD accounts

monthlyTransactionCountnumber

Monthly mean number of transactions

firstTransactionDatedate-time

Date of the oldest transaction

calendararray[object]
monthstring

calendar month of the history

nbDaysnumber

Number of days of the month covered in the banking history. Allows to know which months are truncated.

totalTransactionCountnumber

Total number of analysed transactions

minWindowDatedate

Date of the oldest transaction used to compute the product

maxWindowDatedate

Date of the most recent transaction used to compute the product

numberOfDaysInWindownumber

Number of days of the window of transactions used to compute the product

paymentScoreobject

Indicators about the Open Banking data used to compute the Payment Score product

lastTransactionGapnumber

Number of days between the call to the product calculation and the last transaction

historicalDepthnumber

Number of days between the first and last transaction on the union of CHECKING and CREDIT_CARD accounts

monthlyTransactionCountnumber

Monthly mean number of transactions

firstTransactionDatedate-time

Date of the oldest transaction

calendararray[object]
monthstring

calendar month of the history

nbDaysnumber

Number of days of the month covered in the banking history. Allows to know which months are truncated.

totalTransactionCountnumber

Total number of analysed transactions

minWindowDatedate

Date of the oldest transaction used to compute the product

maxWindowDatedate

Date of the most recent transaction used to compute the product

numberOfDaysInWindownumber

Number of days of the window of transactions used to compute the product

lastTransactionGapnumber

Number of days between the call Credit Insights and the last transaction

Deprecated

historicalDepthnumber

Number of days between the first and last transaction on the union of CHECKING and CREDIT_CARD accounts

Deprecated

monthlyTransactionCountnumber

Monthly mean number of transactions

Deprecated

firstTransactionDatedate-time

Date of the oldest transaction

Deprecated

calendararray[object]

Deprecated

monthstring

calendar month of the history

Deprecated

nbDaysnumber

Number of days of the month covered in the banking history. Allows to know which months are truncated.

Deprecated

totalTransactionCountnumber

Total number of analysed transactions

Deprecated

activityScoreobject

A score measuring the activity of all aggregated accounts of a bank user. This score might be used to filter out users who are not active enough or to indicate that we probably don't have access to the main account.

valuenumber

Ranges from 1 to 100, and it can be interpreted as follows:

  • Less than 10: almost no activity (very few transactions, dormant account or new account).
  • Between 10 and 19: insufficient activity (generally too few transactions, little or no history).
  • Between 20 and 49: limited activity (often no regular income or bill payments) which suggests a secondary account.
  • 50 and above: normal activity and characteristic of an active and main account.
numberOfDaysInWindownumber

Number of analysed days.

calendararray[object]
monthstring

calendar month of the history

nbDaysnumber

Number of days of the month covered in the banking history. Allows to know which months are truncated.

creditInsightsobject

Object containing results from Credit Insights

versionstring

Credit Insights' version

cashFlowsarray[object]

All cash flows used to launch the analysis

typestring

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

category

This is the list of all possible transactions categories. Some of them are not currently implemented yet. To have a detailed list, ask your Customer Success Manager.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

labelRootstring

Common description root shared by the transactions within the same Cashflow

labelstring

This value differs from labelRoot when a Cashflow can be split into two smaller pieces. These pieces share similarities in terms of amount and dates

totalAmountnumber

Total amount of the cash flow over the period of analysis. Transactions that are or has been rejected are included in this sum. Negative if expense, positive if income.

totalRejectedAmountnumber

Total amount of the rejected transactions of the cash flow over the period.

calendararray[object]
monthstring

Calendar month of the transaction

amountnumber

Negative if expense, positive if income.

transactionsarray[object]

Concerned transactions

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

regularityobject

Regularity information about the cashflow only present when the cashflow is detected as regular

dueDaysarray[number]

Expected day of the occurrence of the cashflow

intervalobject

Interval of regularity

minnumber

Minimum regularity interval (in days) possible

maxnumber

Maximum regularity interval (in days) possible

meanNumberOfDaysInIntervalnumber

Mean number of days in the interval of regularity

accuracynumber

Percentage of accuracy of the interval of regularity

periodicitystring

Type of periodicity of the regularity

Enum: WEEKLY,BIWEEKLY,MONTHLY,BIMONTHLY,QUARTERLY,SEMI_ANNUAL,YEARLY,OTHER

repartitionstring

Type of repartition of the transactions on the cash flow

Enum: HAS_BEGUN_AND_STOPPED_DURING_ANALYSIS,HAS_STOPPED_BEFORE_END_OF_ANALYSIS,HAS_BEGUN_AFTER_START_OF_ANALYSIS,HAS_NOT_CHANGED_DURING_ANALYSIS

incomesobject

Information about user's incomes

totalAmountnumber

Total amount of incomes

monthlyAmountnumber

Mean income per month

indicatorsobject

Ratios and indicators about the customer’s incomes

allowancesRationumber

Proportion of allowances in incomes

maximum: 1

minimum: 0

employersarray[object]
namestring

Company name.

staffingstring

Code describing the range of employees' number in the company :

  • null: no data provided
  • NONE: 0
  • VERY_SMALL: between 1 and 9
  • SMALL: between 10 and 49
  • MEDIUM: between 50 and 249
  • LARGE: more than 250

Enum: null,NONE,VERY_SMALL,SMALL,MEDIUM,LARGE

categoriesarray[object]

Transactions grouped by category

namestring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

totalAmountnumber

Total amount of the cash flow over the period of analysis. As income, it is positive.

monthlyAmountnumber

Mean amount per month

monthlyAmountExcludingMonthsWithoutValuesnumber

Mean income per month excluding the months without values

calendararray[object]
monthstring

Calendar month of the transaction

amountnumber

Total amount of the cash flow during the month. As income, it is positive.

transactionsarray

Concerned transactions

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

enrichmentsobject

Properties computed by Algoan

categorystring

Value computed by Credit Insights. This property describes the reason why a transaction is made.

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

employerobject

Company identified as paying wages to the customer.

namestring

Company name.

staffingstring

Code describing the range of employees' number in the company :

  • null: no data provided
  • NONE: 0
  • VERY_SMALL: between 1 and 9
  • SMALL: between 10 and 49
  • MEDIUM: between 50 and 249
  • LARGE: more than 250

Enum: null,NONE,VERY_SMALL,SMALL,MEDIUM,LARGE

expensesobject

Information about user's expenses

totalAmountnumber

Total amount of detected expenses

monthlyAmountnumber

Mean amount of expenses per month

frequentTransactionsarray[object]

List of transaction groups that share the same common transaction description. A transaction group is created when there are at least 5 occurrences of transactions that share the same description over the period of analysis.

labelstring

label of the group

transactionsarray[object]

Transactions belonging to the group

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

categoriesarray[object]
namestring

Enum: BAILIFF,BANKBOOK_SAVING,DEBT_COLLECTION,DEFERRED_TOTAL_PAYMENT,GAMBLING,GROCERY,HEALTH,INSURANCE,INSURANCE_AUTO,INSURANCE_HEALTH,INSURANCE_HOME,INSURANCE_LOAN,LEISURE,LOAN_REPAYMENT,LOAN_REPAYMENT_FAST,LOAN_REPAYMENT_STUDENT,MULTIMEDIA,OTHER_EXPENSE,PAID_ALIMONY,POWER,REGULAR_EXPENSE,RENT,SAVING,SHARE_SAVING,SHOPPING,SPORT,TELECOM,TOBACCO,TRANSPORT

totalAmountnumber

Total amount of the cash flow over the period of analysis. As expense, it is negative.

monthlyAmountnumber

Mean amount per month

monthlyAmountExcludingMonthsWithoutValuesnumber

Mean expenses per month excluding the months without values

calendararray[object]
monthstring

Calendar month of the transaction

amountnumber

Total amount of the cash flow during the month. As expense, it is negative.

transactionsarray

Concerned transactions

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

enrichmentsobject

Properties computed by Algoan

categorystring

Value computed by Credit Insights. This property describes the reason why a transaction is made.

Enum: BAILIFF,BANKBOOK_SAVING,DEBT_COLLECTION,DEFERRED_TOTAL_PAYMENT,GAMBLING,GROCERY,HEALTH,INSURANCE,INSURANCE_AUTO,INSURANCE_HEALTH,INSURANCE_HOME,INSURANCE_LOAN,LEISURE,LOAN_REPAYMENT,LOAN_REPAYMENT_FAST,LOAN_REPAYMENT_STUDENT,MULTIMEDIA,OTHER_EXPENSE,PAID_ALIMONY,POWER,REGULAR_EXPENSE,RENT,SAVING,SHARE_SAVING,SHOPPING,SPORT,TELECOM,TOBACCO,TRANSPORT

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

loansobject

Information about user's loans

repaymentsobject

Information about loan repayments. This section does not take into account rejected loan repayment.

totalAmountnumber

Total amount of all detected repayments over the period of analysis

monthlyAmountnumber

Mean amount of loan repayments per month

monthlyAmountExcludingMonthsWithoutValuesnumber

Mean loan repayment amount per month excluding the months without values

lendingOrganizationsarray[object]

Detected lending organizations in loan repayments.

namestring

lender's name.

detailsarray

All cash flows related to loan repayments

typestring

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

labelRootstring

Common description root shared by the transactions within the same Cashflow

labelstring

This value differs from labelRoot when a Cashflow can be split into two smaller pieces. These pieces share similarities in terms of amount and dates

totalAmountnumber

Total amount of the cash flow over the period of analysis. Transactions that are or has been rejected are included in this sum. Negative if expense, positive if income.

totalRejectedAmountnumber

Total amount of the rejected transactions of the cash flow over the period.

calendararray[object]
monthstring

Calendar month of the transaction

amountnumber

Negative if expense, positive if income.

regularityobject

Regularity information about the cashflow only present when the cashflow is detected as regular

dueDaysarray[number]

Expected day of the occurrence of the cashflow

intervalobject

Interval of regularity

minnumber

Minimum regularity interval (in days) possible

maxnumber

Maximum regularity interval (in days) possible

meanNumberOfDaysInIntervalnumber

Mean number of days in the interval of regularity

accuracynumber

Percentage of accuracy of the interval of regularity

periodicitystring

Type of periodicity of the regularity

Enum: WEEKLY,BIWEEKLY,MONTHLY,BIMONTHLY,QUARTERLY,SEMI_ANNUAL,YEARLY,OTHER

repartitionstring

Type of repartition of the transactions on the cash flow

Enum: HAS_BEGUN_AND_STOPPED_DURING_ANALYSIS,HAS_STOPPED_BEFORE_END_OF_ANALYSIS,HAS_BEGUN_AFTER_START_OF_ANALYSIS,HAS_NOT_CHANGED_DURING_ANALYSIS

categorystring

Enum: LOAN_REPAYMENT,LOAN_REPAYMENT_REAL_ESTATE,LOAN_REPAYMENT_PERSONAL,LOAN_REPAYMENT_REVOLVING,LOAN_REPAYMENT_FAST,LOAN_REPAYMENT_STUDENT

transactionsarray

Concerned transactions

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

enrichmentsobject

Properties computed by Algoan

categorystring

Value computed by Credit Insights. This property describes the reason why a transaction is made.

Enum: LOAN_REPAYMENT,LOAN_REPAYMENT_REAL_ESTATE,LOAN_REPAYMENT_PERSONAL,LOAN_REPAYMENT_REVOLVING,LOAN_REPAYMENT_FAST,LOAN_REPAYMENT_STUDENT

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

lendingOrganizationobject
namestring

lender's name.

drawdownsobject

Information about loan drawdowns

countnumber

Number of concerned transactions

totalAmountnumber

Total amount of drawdowns

monthlyAmountnumber

Mean amount of loan drawdowns per month

monthlyAmountExcludingMonthsWithoutValuesnumber

Mean loan drawdowns amount per month excluding the months without values

lendingOrganizationsarray[object]

Detected lending organizations in loan drawdowns.

namestring

lender's name.

detailsarray

All cash flows related to loan drawdowns

typestring

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

labelRootstring

Common description root shared by the transactions within the same Cashflow

labelstring

This value differs from labelRoot when a Cashflow can be split into two smaller pieces. These pieces share similarities in terms of amount and dates

totalAmountnumber

Total amount of the cash flow over the period of analysis. Transactions that are or has been rejected are included in this sum. Negative if expense, positive if income.

totalRejectedAmountnumber

Total amount of the rejected transactions of the cash flow over the period.

calendararray[object]
monthstring

Calendar month of the transaction

amountnumber

Negative if expense, positive if income.

regularityobject

Regularity information about the cashflow only present when the cashflow is detected as regular

dueDaysarray[number]

Expected day of the occurrence of the cashflow

intervalobject

Interval of regularity

minnumber

Minimum regularity interval (in days) possible

maxnumber

Maximum regularity interval (in days) possible

meanNumberOfDaysInIntervalnumber

Mean number of days in the interval of regularity

accuracynumber

Percentage of accuracy of the interval of regularity

periodicitystring

Type of periodicity of the regularity

Enum: WEEKLY,BIWEEKLY,MONTHLY,BIMONTHLY,QUARTERLY,SEMI_ANNUAL,YEARLY,OTHER

repartitionstring

Type of repartition of the transactions on the cash flow

Enum: HAS_BEGUN_AND_STOPPED_DURING_ANALYSIS,HAS_STOPPED_BEFORE_END_OF_ANALYSIS,HAS_BEGUN_AFTER_START_OF_ANALYSIS,HAS_NOT_CHANGED_DURING_ANALYSIS

categorystring

Enum: LOAN_DRAWDOWN,LOAN_DRAWDOWN_REAL_ESTATE,LOAN_DRAWDOWN_PERSONAL,LOAN_DRAWDOWN_REVOLVING,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT

transactionsarray

Concerned transactions

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

enrichmentsobject

Properties computed by Algoan

categorystring

Value computed by Credit Insights. This property describes the reason why a transaction is made.

Enum: LOAN_DRAWDOWN,LOAN_DRAWDOWN_REAL_ESTATE,LOAN_DRAWDOWN_PERSONAL,LOAN_DRAWDOWN_REVOLVING,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

lendingOrganizationobject
namestring

lender's name.

risksobject

All indicators helping to make a decision

gamblingobject

User's gambling behavior indicators. This section does not take into account rejected loan repayment.

totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

incidentsobject
paymentRejectionsobject
totalAmountnumber

Total amount of detected rejected transactions. If a direct debit is rejected twice, it will be counted twice.

totalFeesAmountnumber

Total amount of fees due to payment rejection.

transactionsarray[object]

Detected rejected transaction.

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

feesTransactionsarray[object]

Detected rejection fees. They may be disassociated from the rejections transaction as some rejections can be charged month after.

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

checkRejectionsobject
totalAmountnumber

Total amount of the related transactions.

totalFeesAmountnumber

Total amount of fees due to check rejection.

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

feesTransactionsarray[object]

Detected check rejection fees. They may be disassociated from the rejections transaction as some rejections can be charged month after.

idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

interventionFeesobject

These fees may occur when a bank charge its user when a operator has to intervene on the account. Usually this occurs after a payment rejection.

totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

overdraftobject

User's overdraft behaviour.

minimumBalanceReachednumber

Lowest balance detected

durationnumber

Number of days in overdraft. This number is the sum of all overdraft period.

feesobject

Overdrafts fees transaction detail

totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

heavyFailuresobject

Events that occurs after either a juridic decision or when an institution fetch its due directly on the users account.

directRecoveryOfDebtobject
totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

bankAccountSeizureobject
totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

wageAdvanceobject
totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

counterPartIdstring

Value computed by Credit Insights. Identifier of the counterpart transaction if the transaction is or has been rejected.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
  • relatedTransactions.isRejectionOf: x for isRejected: false and counterPartId: x

Deprecated

relatedTransactionsobject

List of identifiers related to this transaction. The nature of relationship between one transaction and its relatives can be split into 5 natures:

  • Payment rejection
  • Payment retry
  • Payment refund
  • Internal transfers
  • Deferred total payment
retryOfstring

Id corresponding to the rejected transaction being retried by this transaction

Flexible link

retriedOnstring

Id of the transaction corresponding to the retry of this rejected transaction

Flexible link

rejectionOfstring

Id of the rejected transaction corresponding to this transaction

Robust link

rejectedOnstring

Id of the transaction corresponding to the rejection (positive transaction) of this rejected transaction

Robust link

transferOfstring

Id of the outgoing internal transfer transaction (negative amount) resulting in this incoming internal transfer transaction

Robust link

transferredOnstring

Id of the incoming internal transfer transaction (positive amount) corresponding to this outgoing internal transfer transaction

Robust link

resetOfstring

Id of the deferred payment transaction on a CHECKING account this transaction is resulting from on a CREDIT_CARD account

Robust link

resetOnstring

Id of the credit card reset transaction on a CREDIT_CARD account resulting from this deferred payment transaction occurring on a CHECKING account

Robust link

refundOfstring

Id of the initial payment transaction that is refunded by this transaction

Robust link

refundedOnstring

Id of the refund transaction (positive amount) corresponding to this transaction (negative amount)

Robust link

isComingboolean

Indicates if the transaction will be debited or credited on the account in the future

aggregatorobject

Additional information relative to the transaction provided by the aggregator

idstring

id of the transaction provided by the aggregator

isNonAnalysedboolean

Indicates if the transaction is included in the last generated analysis

debtCollectionobject

Repayment recovered by a specialized organization (for litigations/defaulted payments)

totalAmountnumber

Total amount of the related transactions

transactionsarray[object]
idstring

Unique transaction identifier

accountIdstring

Algoan's account identifier

descriptionstring

Description of the transaction. If description is an empty string, a 400 HTTP error will be returned.

datesobject

Dates associated with the transaction. At least one date is required, depending on the type of account. For instance, if it is a "checking" account, the "debitedAt" date is required.

debitedAtdate-time

Debit date as seen on the bank statement. This property may not be set if the transaction is not yet debited. This can occurs if there's a differed payement.

bookedAtdate-time

Realization date of the transaction

amountnumber

Amount of the transaction (negative if debit)

currencystring

Transaction's currency

Default: EUR

enrichmentsobject

Properties computed by Algoan

category

Value computed by Credit Insights. This property describes the reason why a transaction is made.

stringstring

Enum: ALLOWANCE,ALLOWANCE_DISABILITY,ALLOWANCE_FAMILY,ALLOWANCE_HEALTH,ALLOWANCE_HOUSING,ALLOWANCE_INCOME_SUPPORT,ALLOWANCE_UNEMPLOYMENT,CREDIT_CARD_RESET,DISSAVING,FREELANCE,GAMBLING_GAIN,INTEREST,LOAN_DRAWDOWN_FAST,LOAN_DRAWDOWN_STUDENT,OTHER_ENTRY,RECEIVED_ALIMONY,REFUND,REFUND_EXPENSE_REPORT,REFUND_INSURANCE,REGULAR_INCOME,RENTAL_INCOME,RETIREMENT_PENSION,REVERSIONARY_PENSION,STATE_SUBSIDY,WAGE,WAGE_ADVANCE_PAYMENT,WAGE_BONUS,WAGE_SALARY_ADVANCE

typestring

Value computed by Credit Insights. This property describes the mode of transaction.

Enum: CASH_DEPOSIT,CASH_WITHDRAWAL,CHECK_DEPOSIT,CHECK,INCOMING_TRANSFER,INCOMING_INTERNAL_TRANSFER,OUTGOING_TRANSFER,OUTGOING_INTERNAL_TRANSFER,CARD_REFUND,CARD,INCOMING_CARD,DIRECT_DEBIT,CREDIT,DEBIT

isInternationalTransferboolean

Boolean computed by Credit Insights. Indicates if the transaction has been transferred to or from a country other than the one specified in Credit Insights configuration.

isRejectedboolean

Boolean computed by Credit Insights. Indicates if the transaction has been rejected or not.

Deprecation notice: will be removed, instead use

  • relatedTransactions.rejectedOn: x for isRejected: true and counterPartId: x
[...]
